Ideas and Resources
================================================================================

Videos / Presentations
--------------------------------------------------------------------------------

* French: https://www.youtube.com/watch?v=KGSlp4UygdU
* Chinese: https://www.youtube.com/watch?v=n9atI31FcSM

Similar technologies
--------------------------------------------------------------------------------

* [greenmask](https://github.com/GreenmaskIO/greenmask)
  Anonymous dump utility written in Golang

* [pganonymize](https://github.com/rheinwerk-verlag/pganonymize)
  A commandline tool for anonymizing PostgreSQL databases

* [pgantomizer](https://github.com/asgeirrr/pgantomizer)
  Anonymous dumps based on masking rules written in a YAML file

* [pgsodium and postgresql-anonymizer](https://github.com/michelp/pgsodium/blob/michelp/anonymizer-example/example/PgSodiumAnonymizer.ipynb)
  Pseudononymous Access To Encrypted Table

* [pg_diffix](https://github.com/diffix/pg_diffix)
  PostgreSQL extension implementing differential privacy (inactive)

* [pg_anonymize](https://github.com/rjuju/pg_anonymize)
  PostgreSQL extension implementing dynamic data anonymization

* [pg-anonymizer](https://github.com/rap2hpoutre/pg-anonymizer)
  Dump anonymized PostgreSQL database with a NodeJS CLI

Similar Implementations
--------------------------------------------------------------------------------

* [Dynamic Data Masking With MS SQL Server](https://docs.microsoft.com/en-us/sql/relational-databases/security/dynamic-data-masking)

* [Citus : Using search_path and views to hide columns for reporting with Postgres](https://www.citusdata.com/blog/2018/07/03/masking-columns-in-postgresql/)

* [MariaDB : Masking with maxscale](https://mariadb.com/kb/en/mariadb-enterprise/mariadb-maxscale-21-masking/)


GDPR
--------------------------------------------------------------------------------

* [Ultimate Guide to Data Anonymization](https://piwik.pro/blog/the-ultimate-guide-to-data-anonymization-in-analytics/)

* [UK ICO Anonymisation Code of Practice](https://ico.org.uk/media/1061/anonymisation-code.pdf)

* [L. Sweeney, Simple Demographics Often Identify People Uniquely, 2000](https://dataprivacylab.org/projects/identifiability/paper1.pdf)

* [How Google anonymizes data](https://policies.google.com/technologies/anonymization?hl=en)

* [IAPP's Guide To Anonymisation](https://iapp.org/media/pdf/resource_center/Guide_to_Anonymisation.pdf)


Concepts
--------------------------------------------------------------------------------

* [Differential_Privacy](https://en.wikipedia.org/wiki/Differential_Privacy)

* [K-Anonymity](https://en.wikipedia.org/wiki/K-anonymity)


Academic Research
--------------------------------------------------------------------------------

* L. Sweeney. k-anonymity: a model for protecting privacy. International Journal
  on Uncertainty, Fuzziness and Knowledge-based Systems, 10 (5), 2002,
  pp. 557-570.
  <https://epic.org/wp-content/uploads/privacy/reidentification/Sweeney_Article.pdf>

* A. Narayanan and V. Shmatikov, “Robust de-anonymization of large sparse
  datasets,” in 29th IEEE Symposium on Security and Privacy, 2008, pp. 111–125.
  <https://www.cs.cornell.edu/~shmat/shmat_oak08netflix.pdf>
